## vala-0.26 0.26.1

=== debian/changelog ===
vala-0.26 (0.26.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "CVE-2014-8154: Heap-buffer overflow in vala-gstreamer bindings
    at Gst.MapInfo()": add patch mapinfo.date-array-length.patch,
    taken from upstream git:
    https://git.gnome.org/browse/vala/commit/?id=22126ebad3b2133db39bcf301c29c8b78b440f1a
    (Closes: #775913)

 -- gregor herrmann <gregoa@debian.org>  Fri, 06 Mar 2015 16:58:06 +0100

vala-0.26 (0.26.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update Homepage URL.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Wed, 15 Oct 2014 21:55:08 +0200

vala-0.26 (0.26.0-1) unstable; urgency=medium

  * debian/watch: bump for 0.2[56] branch
  * Import upstream version 0.26.0
  * Update debian/libvala-0.26-0.symbols

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 23 Sep 2014 22:09:53 +0200

vala-0.26 (0.25.3-1) experimental; urgency=medium

  * New upstream release
  * debian/patches/*: Drop all patches, fixed upstream
  * debian/libvala-0.26-0.symbols:
    + Update symbols

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 07 Sep 2014 15:54:21 +0200

vala-0.24 (0.24.0-6) unstable; urgency=medium

  * debian/patches/0001-Add-lvalue_access-false-to-Mutex-and-Cond.patch:
    Cherry-pick patch from upstream to fix deadlocks potential deadlocks when
    using GMutex and GCond.

 -- Iain Lane <laney@debian.org>  Thu, 14 Aug 2014 09:57:49 +0100

vala-0.24 (0.24.0-5) unstable; urgency=medium

  * valac-0.24.postinst: Update the alternative for pcfile in /usr/lib/ too.

 -- Iain Lane <laney@debian.org>  Thu, 19 Jun 2014 12:02:22 +0100

vala-0.24 (0.24.0-4) unstable; urgency=medium

  * Cherry-pick patches from upstream:
    - 0001-non-nullable-Accessing-array-methods-is-safe-when-th.patch: Don't
      generate invalid code.
      + Need to add update-c-sources.patch for this and touch vala.vala.stamp,
        to prevent valac running during the build causing bootstrapping
        issues.
    - 0001-glib-2.0-add-non-null-support-for-string.joinv.patch: Replace with
      upstream version.
  * Install pkg-config file into multiarch pkgconfig directory as it
    references a MA libdir. Thanks Lintian.

 -- Iain Lane <laney@debian.org>  Thu, 19 Jun 2014 11:32:29 +0100

vala-0.24 (0.24.0-3) unstable; urgency=medium

  * 0001-glib-2.0-add-non-null-support-for-string.joinv.patch: Take patch from
    upstream bug #728656 to fix glib-2.0.vapi in
    --enable-experimental-non-null mode.

 -- Iain Lane <laney@debian.org>  Wed, 18 Jun 2014 16:30:04 +0100

vala-0.24 (0.24.0-2) unstable; urgency=medium

  * Team upload.
  * Add --as-needed to dh_autoreconf
  * Drop debian/patches/99_ltmain_as-needed.patch
    - now handled by dh_autoreconf
  * Add debian/patches/0001-atk-Update-and-fix-metadata.patch
    - Backport upstream commit ad4efc4c7b8d -- "atk: Update and fix metadata"
    (Closes: #746049)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 17 May 2014 00:32:07 +0200

vala-0.24 (0.24.0-1) unstable; urgency=medium

  [ Iain Lane ]
  * Run dh_autoreconf.
  * Don't touch build system files manually (confuses autoreconf).

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 02 Apr 2014 20:40:43 +0200

vala-0.24 (0.23.3-1) experimental; urgency=medium

  * debian/gbp.conf,
    debian/watch:
    + Update for the 0.24 series.
  * New upstream release.
  * debian/*:
    + 0.22 -> 0.24.
  * debian/valac-0.24.postinst:
    + Bump the alternatives priority to 120 to make 0.24 the default when
      installed.
  * debian/libvala-0.24-0.symbols:
    + Update for the new symbols and the removed ones.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 09 Mar 2014 18:52:54 +0100

vala-0.22 (0.22.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
    - Thanks to Andreas Cadhalpun for all the help with rebuild testing
      and helping people migrate their packages from older vala versions
      to more current vala versions.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 16 Feb 2014 01:45:59 +0100

vala-0.22 (0.22.1-1) experimental; urgency=medium

  * Team upload.

  [ Luca Bruno ]
  * Imported Upstream version 0.22.1
  * Update debian/libvala-0.22-0.symbols with added symbols

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Feb 2014 23:23:42 +0100

vala-0.22 (0.22.0-2) experimental; urgency=low

  [ Rico Tzschichholz ]
  * Fix vala postinst and links creation to use correct filename

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 23 Oct 2013 10:40:44 +0200

vala-0.22 (0.22.0-1) experimental; urgency=low

  * Update debian/watch to track 0.22 releases
  * Modify debian/gbp.conf for 0.22
  * Imported Upstream version 0.22.0
  * Update debian/* for package rename to -0.22
  * Update debian/libvala-0.22-0.symbols with added symbols
  * Make 0.22 the default vala compiler

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 16 Oct 2013 12:49:42 +0200

vala-0.20 (0.20.1-2) unstable; urgency=low

  * Drop Build-Depends on valac again. This is no longer necessary and creates
    a nasty Build-Depends loop.

 -- Michael Biebl <biebl@debian.org>  Sun, 12 May 2013 23:12:20 +0200

vala-0.20 (0.20.1-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * Update debian/watch to track 0.20 releases
  * Imported Upstream version 0.20.1
  * Modify gbp configuration for 0.20
  * Update debian/* for package rename to -0.20
  * Drop unneeded build-dependency on quilt
  * Drop patches from upstream now included in release

  [ Michael Biebl ]
  * Make valac-0.20 the default vala compiler.
  * Upload to unstable.
  * Drop Build-Depends on libdbus-glib-1-dev, no longer needed.
  * Bump Standards-Version to 3.9.4. No further changes.
  * Drop obsolete Conflicts and Replaces. The vala-utils Provides has no rdeps,
    so remove that, too.

 -- Michael Biebl <biebl@debian.org>  Sat, 11 May 2013 01:37:52 +0200


