## vala-0.26 0.26.2

=== debian/changelog ===
vala-0.26 (0.26.2-2) unstable; urgency=medium

  * Add myself to Uploaders.
  * Update outdated gbp section names in debian/gbp.conf.
  * Drop Build-Depends on lsb-release, no longer required.
  * Drop obsolete Replaces from pre-wheezy.
  * Stop updating config.{guess,sub} manually, dh_autoreconf already does that
    for us.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Jun 2015 09:44:03 +0200

vala-0.26 (0.26.2-1) experimental; urgency=medium

  * New upstream release.

 -- Iain Lane <laney@debian.org>  Wed, 14 Jan 2015 17:36:52 +0000
