=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
            Sebastian Dröge <slomo@debian.org>,
            Emilio Pozuelo Monfort <pochu@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>,
-           Sebastian Reichel <sre@debian.org>
+           Sebastian Reichel <sre@debian.org>,
+           Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 7),
                dh-autoreconf,
                libglib2.0-dev (>= 2.26),
@@ -18,7 +19,6 @@
                xsltproc,
                libdbus-1-dev,
                dbus-x11,
-               lsb-release,
                libgirepository1.0-dev
 Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/pkg-vala/vala.git
@@ -118,7 +118,6 @@
 Depends: ${misc:Depends},
          libvala-0.26-0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.26)
-Replaces: libvala-0.10-dev, libvala-0.12-dev
 Provides: libvala-dev
 Section: libdevel
 Multi-Arch: same
