=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 
 DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
-DISTRO = "$(shell lsb_release -si)"
 
 configure_flags += \
 	--prefix=/usr \
@@ -42,15 +40,7 @@
 	dh_testdir
 	# handle timestamp skew
 	touch vala/vala.vala.stamp
-	# backup the original files to restore them in the clean target
-	cp build-aux/config.sub build-aux/config.sub.orig
-	cp build-aux/config.guess build-aux/config.guess.orig
-	# Copy in fresh copies of config.{sub,guess}
-	# (these are from autotools-dev, so must Build-Depend on it)
-	-test -r /usr/share/misc/config.sub && \
-	  cp -f /usr/share/misc/config.sub build-aux/config.sub
-	-test -r /usr/share/misc/config.guess && \
-	  cp -f /usr/share/misc/config.guess build-aux/config.guess
+	# update build system
 	dh_autoreconf --as-needed
 	touch $@
 
@@ -152,10 +142,6 @@
 	dh_testdir
 	dh_testroot
 
-	# restore config.sub/config.guess
-	[ ! -r build-aux/config.sub.orig ] || mv -f build-aux/config.sub.orig build-aux/config.sub
-	[ ! -r build-aux/config.guess.orig ] || mv -f build-aux/config.guess.orig build-aux/config.guess
-
 	rm -rf bootstrap
 	rm -rf debian/tmp
 	make distclean || true
