=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/vala/(0.2[56])/vala-([\d\.]+)\.tar\.xz
